##############################################################
###                    Info Tcl by max4o                   ###
##                  mail:<max4o@g00net.org>                 ##
#                         version 2.0                        #
##############################################################           

# main strings
set update "18.11.2002"
bind join - * sayinfo 

# Strings
set info_owner {
    "My God just came in..."
    "Hello my OWNER"
    "I greet you my owner"
    "Welcome my owner"
    "Fuck me my owner!"
    "Most Great"
}
set info_localowner {
    "Lol...my local owner just joined the channel"
    "Welcome localowner of mine.."
    "Hi sweety {}"
}
set info_master {
    "Oh...My MASTER"
    "I'm gonna be quiet my master"
    "Don't hit me my master"
    "Master detected"
}
set info_friend {
    "Ou, my friend :)"
    ":)"
    "Sweety"
    "You're SUCKER"
    "My friendship with you is over!"
    "SUCK me Baby {}"
}
set info_oper {
    "You simple oper, watch out !"
    "Operator detected!"
    "You gonna lose your flags if you do something bad!"
    "I'm watching you..."
}
set info_loser {
    "What are you doing here loser"
    "You're just a loser"
}

# main()

proc sayinfo { nick host handle chan } {
   global botnick
   if { $nick != $botnick } {
       if {[matchattr $handle n]} {
           putserv "PRIVMSG $chan :[rand_owner $nick] $nick \[+n\]"
       } elseif {[matchattr $handle |n $chan]} {
           putserv "PRIVMSG $chan :[rand_localowner $nick] $nick \[|+n\]"
       } elseif {[matchattr $handle m]} {
           putserv "PRIVMSG $chan :[rand_master $nick] $nick \[+m\]"
       } elseif {[matchattr $handle |m $chan]} {
           putserv "PRIVMSG $chan :[rand_master $nick] $nick \[+m\]"
       } elseif {[matchattr $handle f]} {
           putserv "PRIVMSG $chan :[rand_friend $nick] $nick \[+f\]"
       } elseif {[matchattr $handle |f $chan]} {
           putserv "PRIVMSG $chan :[rand_friend $nick] $nick \[+f\]"
       } elseif {[matchattr $handle o]} {
           putserv "PRIVMSG $chan :[rand_oper $nick] $nick \[+o\]"
       } elseif {[matchattr $handle |o $chan]} {
           putserv "PRIVMSG $chan :[rand_oper $nick] $nick \[+o\]"
       } elseif {[matchattr $handle d]} {
           putserv "PRIVMSG $chan :[rand_loser $nick] $nick \[+d or +k\]"
       } elseif {[matchattr $handle |d $chan]} {
           putserv "PRIVMSG $chan :[rand_loser $nick] $nick \[+d or +k\]"
       }
   }
}

# random(s)

proc rand_owner {nick} {
     global info_owner
     set result [lindex $info_owner [rand [llength $info_owner]]]
     return "$result"
}
proc rand_localowner {nick} {
     global info_localowner
     set result [lindex $info_localowner [rand [llength $info_localowner]]]
     return "$result"
}
proc rand_master {nick} {
     global info_master
     set result [lindex $info_master [rand [llength $info_master]]]
     return "$result"
}
proc rand_friend {nick} {
     global info_friend
     set result [lindex $info_friend [rand [llength $info_friend]]]
     return "$result"
}
proc rand_oper {nick} {
     global info_oper
     set result [lindex $info_oper [rand [llength $info_oper]]]
     return "$result"
}
proc rand_loser {nick} {
     global info_loser
     set result [lindex $info_loser [rand [llength $info_loser]]]
     return "$result"
}

# putlog
putlog "Tcl for greetings v2.0 by <\002max4o\002> (last update: $update)"
